#ifndef MINORI_GUI_TRANSLATE_ANIME_H_
#define MINORI_GUI_TRANSLATE_ANIME_H_

#include "core/anime.h"

namespace Translate {

std::string ToString(const Anime::ListStatus status);
std::string ToString(const Anime::SeriesFormat format);
std::string ToString(const Anime::Season::Name season);
std::string ToString(const Anime::SeriesStatus status);
std::string ToString(const Anime::Service service);
std::string ToString(const Anime::TitleLanguage language);
std::string ToString(const Anime::ScoreFormat format);

std::string ToLocalString(const Anime::ListStatus status);
std::string ToLocalString(const Anime::SeriesFormat format);
std::string ToLocalString(const Anime::Season& season);
std::string ToLocalString(const Anime::SeriesStatus status);
std::string ToLocalString(const Anime::Service service);
std::string ToLocalString(const Anime::TitleLanguage language);
std::string ToLocalString(const Anime::ScoreFormat language);

Anime::ListStatus ToListStatus(const std::string& str);
Anime::SeriesFormat ToSeriesFormat(const std::string& str);
Anime::Season::Name ToSeriesSeason(const std::string& str);
Anime::SeriesStatus ToSeriesStatus(const std::string& str);
Anime::Service ToService(const std::string& str);
Anime::TitleLanguage ToLanguage(const std::string& str);
Anime::ScoreFormat ToScoreFormat(const std::string& str);

} // namespace Translate

#endif // MINORI_GUI_TRANSLATE_ANIME_H_
